'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var types = require('./types.js');
var style = require('./style.js');
var Loading = require('../loading/Loading.js');

var MonacoContainer = vue.defineComponent({
  props: types.monacoContainerProps,

  setup(props, _ref) {
    let {
      slots
    } = _ref;
    const wrapperStyle = vue.computed(() => {
      const {
        width,
        height
      } = props;
      return vue.normalizeStyle({ ...style["default"].wrapper,
        width,
        height
      });
    });
    const containerStyle = vue.computed(() => {
      return vue.normalizeStyle({ ...style["default"].fullWidth,
        ...(!props.isEditorReady && style["default"].hide)
      });
    });
    return () => {
      var _slots$default;

      return vue.createVNode("div", {
        "style": wrapperStyle.value
      }, [!props.isEditorReady && vue.createVNode(Loading["default"], null, {
        default: () => [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]
      }), vue.createVNode("div", {
        "ref": props.setContainerRef,
        "style": containerStyle.value,
        "class": props.className
      }, null)]);
    };
  }

});

exports["default"] = MonacoContainer;
