'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var loader = require('@monaco-editor/loader');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var loader__default = /*#__PURE__*/_interopDefaultLegacy(loader);

function useMonaco() {
  const monacoRef = vue.shallowRef(null); // monaco mount

  const monacoLoader = loader__default["default"].init();

  const unload = () => monacoLoader.cancel();

  monacoLoader.then(monacoInstance => monacoRef.value = monacoInstance).catch(error => {
    if ((error === null || error === void 0 ? void 0 : error.type) !== 'cancelation') {
      console.error('Monaco initialization error:', error);
    }
  });
  return {
    monacoRef,
    unload
  };
}

exports["default"] = useMonaco;
