import { defineComponent, computed, normalizeStyle, createVNode } from 'vue';
import { monacoContainerProps } from './types.js';
import styles from './style.js';
import Loading from '../loading/Loading.js';

var MonacoContainer = defineComponent({
  props: monacoContainerProps,

  setup(props, _ref) {
    let {
      slots
    } = _ref;
    const wrapperStyle = computed(() => {
      const {
        width,
        height
      } = props;
      return normalizeStyle({ ...styles.wrapper,
        width,
        height
      });
    });
    const containerStyle = computed(() => {
      return normalizeStyle({ ...styles.fullWidth,
        ...(!props.isEditorReady && styles.hide)
      });
    });
    return () => {
      var _slots$default;

      return createVNode("div", {
        "style": wrapperStyle.value
      }, [!props.isEditorReady && createVNode(Loading, null, {
        default: () => [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]
      }), createVNode("div", {
        "ref": props.setContainerRef,
        "style": containerStyle.value,
        "class": props.className
      }, null)]);
    };
  }

});

export { MonacoContainer as default };
