import { shallowRef } from 'vue';
import loader from '@monaco-editor/loader';

function useMonaco() {
  const monacoRef = shallowRef(null); // monaco mount

  const monacoLoader = loader.init();

  const unload = () => monacoLoader.cancel();

  monacoLoader.then(monacoInstance => monacoRef.value = monacoInstance).catch(error => {
    if ((error === null || error === void 0 ? void 0 : error.type) !== 'cancelation') {
      console.error('Monaco initialization error:', error);
    }
  });
  return {
    monacoRef,
    unload
  };
}

export { useMonaco as default };
